BEGIN TRANSACTION;
CREATE TABLE config(key primary key, value);
INSERT INTO "config" VALUES('user','root');
INSERT INTO "config" VALUES('cmd_socket','./msgdupd.sock');
INSERT INTO "config" VALUES('logfile','./msgdupd.log');
INSERT INTO "config" VALUES('loglevel','INFO');
INSERT INTO "config" VALUES('pcap_snaplen','1600');
INSERT INTO "config" VALUES('pcap_timeout','1000');
INSERT INTO "config" VALUES('pcap_buffer',65536);
CREATE TABLE source(sourceid integer primary key, name, source_device, pcap_filter, response_timeout integer);
INSERT INTO "source" VALUES( 1, 'VEAS', 'visa.cap',  'net 192.168.194.0/24 and (port 27111 or port 29111)', 5);
INSERT INTO "source" VALUES( 2, 'GMIP', 'mastercard.cap',  'net 10.50.0.0/24 and (port 6023 or port 6104)', 5);
INSERT INTO "source" VALUES( 3, 'VEAS', 'eth0', 'net 192.168.56.0/24 and (port 42001)', 5);
CREATE TABLE interface(interfaceid integer primary key, sourceid integer,  ip_role, ip, port integer, allowed_source, retry integer);
INSERT INTO "interface" VALUES(  1,  1, 'SERVER', '0.0.0.0', 42001, '0.0.0.0/0', 10);
INSERT INTO "interface" VALUES(  2,  2, 'SERVER', '0.0.0.0', 42002, '0.0.0.0/0', 10);
INSERT INTO "interface" VALUES(  3,  1, 'CLIENT', '127.0.0.1', 8583, '0.0.0.0/0', 10);
INSERT INTO "interface" VALUES(  4,  2, 'CLIENT', '127.0.0.1', 8584, '0.0.0.0/0', 10);
INSERT INTO "interface" VALUES(  5,  3, 'SERVER', '0.0.0.0', 42003, '0.0.0.0/0', 10);
COMMIT;
